Data Exports
Get export job (v1)
Retrieve the status of a single export job. Poll this after requesting an export.
GET
/
public
/
v1
/
export-jobs
/
{job_id}
/
Get export job
curl --request GET \
--url https://api.dualentry.com/public/v1/export-jobs/{job_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/export-jobs/{job_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/export-jobs/{job_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"integration_id": 123,
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Path Parameters
Response
OK
Sanitized view of an export job. Infra fields (s3_key, crawler/ETL jobs) are never included.
pending, running, completed, or failed.
Available options:
pending, running, completed, failed ID of the destination integration the export runs through.
Set only when status is failed.
Last modified on August 28, 2026
Was this page helpful?
⌘I
Get export job
